apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.version: 1.35.0 (9532ceef3)
  labels:
    io.kompose.service: nextcloud-aio-notify-push
  name: nextcloud-aio-notify-push
  namespace: "{{ .Values.NAMESPACE }}"
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: nextcloud-aio-notify-push
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.version: 1.35.0 (9532ceef3)
      labels:
        io.kompose.service: nextcloud-aio-notify-push
    spec:
      securityContext:
        # The items below only work in pod context
        fsGroup: 33
        fsGroupChangePolicy: "OnRootMismatch"
        # The items below work in both contexts
        runAsUser: 33
        runAsGroup: 33
        runAsNonRoot: true
        {{- if eq (.Values.RPSS_ENABLED | default "no") "yes" }}
        seccompProfile:
          type: RuntimeDefault
        {{- end }}
      containers:
        - env:
            - name: NC_DOMAIN
              value: "{{ .Values.NC_DOMAIN }}"
            - name: NEXTCLOUD_HOST
              value: nextcloud-aio-nextcloud
            - name: POSTGRES_DB
              value: nextcloud_database
            - name: POSTGRES_HOST
              value: nextcloud-aio-database
            - name: POSTGRES_PASSWORD
              value: "{{ .Values.DATABASE_PASSWORD }}"
            - name: POSTGRES_PORT
              value: "5432"
            - name: POSTGRES_USER
              value: nextcloud
            - name: REDIS_HOST
              value: nextcloud-aio-redis
            - name: REDIS_HOST_PASSWORD
              value: "{{ .Values.REDIS_PASSWORD }}"
            - name: TZ
              value: "{{ .Values.TIMEZONE }}"
          image: ghcr.io/nextcloud-releases/aio-notify-push:20250408_081359
          readinessProbe:
            exec:
              command:
                - /healthcheck.sh
            failureThreshold: 3
            periodSeconds: 30
            timeoutSeconds: 30
          livenessProbe:
            exec:
              command:
                - /healthcheck.sh
            failureThreshold: 3
            periodSeconds: 30
            timeoutSeconds: 30
          name: nextcloud-aio-notify-push
          ports:
            - containerPort: 7867
              protocol: TCP
          securityContext:
            # The items below only work in container context
            allowPrivilegeEscalation: false
            capabilities:
              {{- if eq (.Values.RPSS_ENABLED | default "no") "yes" }}
              drop: ["ALL"]
              {{- else }}
              drop: ["NET_RAW"]
              {{- end }}
          volumeMounts:
            - mountPath: /nextcloud
              name: nextcloud-aio-nextcloud
              readOnly: true
      volumes:
        - name: nextcloud-aio-nextcloud
          persistentVolumeClaim:
            claimName: nextcloud-aio-nextcloud
